// src/continuous/wave/pure.ts
function waveFormUint(array) {
  let min = 256;
  let max = -1;
  for (let current of array) {
    if (current < min)
      min = current;
    if (current > max)
      max = current;
  }
  return max - min;
}
function waveForm(array) {
  let min = Infinity;
  let max = -Infinity;
  for (let current of array) {
    if (current < min)
      min = current;
    if (current > max)
      max = current;
  }
  return max - min;
}
function frequencyValue(audioData) {
  return 255 - waveFormUint(audioData);
}

export {
  waveFormUint,
  waveForm,
  frequencyValue
};
