import { DrawOptions } from '../../common/draw/options.mjs';

/**
 * The options for the `continuousVisualizer` function, specifically.
 */
interface DrawContinuousOptions extends DrawOptions {
    /**
     * Amount of slices to draw for visualized wave.
     *
     * @default 100
     */
    slices?: number;
    /**
     * Border radius of the bar
     *
     * 0 will draw a normal rectangle
     *
     * @default 0
     */
    barRadius?: number;
}
declare const defaultOptions: DrawContinuousOptions;

export { DrawContinuousOptions, defaultOptions };
