import { DrawContinuousOptions } from './draw/options.mjs';
import '../common/draw/options.mjs';

/**
 * Sets up a continuous sound visualizer.
 *
 * @impure this function returns impure functions.
 *
 * @param audio the audio to visualize.
 * @param canvas the canvas to draw to.
 * @param drawOptions additional options for the sound visualizer. See the `DrawContinuousOptions` type.
 *
 * @returns functions used to visualize the audio. See the `VisualizerFunctions` type.
 **/
declare function continuousVisualizer(audio: MediaStream, canvas: HTMLCanvasElement, drawOptions?: DrawContinuousOptions): {
    start: () => void;
    stop: () => void;
    reset: () => void;
};

export { continuousVisualizer };
