import { DrawCurrentOptions } from './options.mjs';
import '../../common/draw/options.mjs';

/**
 * Draws audio data (a `Uint8Array` modified by `AnalyserNode.getByteTimeDomainData`) to the canvas as a wave.
 *
 * @impure this function mutates the state of the canvas, and has no return value.
 *
 * @param canvas the canvas to draw to.
 * @param audioData the audio data to draw.
 * @param options additional options for the draw operation. See the `DrawCurrentOptions` type.
 **/
declare function drawCurrentWave(canvas: HTMLCanvasElement, audioData: Uint8Array, options?: DrawCurrentOptions): void;

export { drawCurrentWave };
