import { DrawOptions } from '../../common/draw/options.mjs';

interface DrawCurrentOptions extends DrawOptions {
    /**
     * A value used to normalize the height of the drawn wave.
     *
     * The wave function is multiplied by this value,
     * so a value greater than `1` will exaggerate the size of the wave,
     * while a value between `0` and `1` will minimize it.
     *
     * @default 1
     */
    heightNorm?: number;
}
declare const defaultOptions: {
    heightNorm: number;
    strokeColor?: string | undefined;
    rectWidth?: number | "thick" | "thin" | "default" | undefined;
};

export { DrawCurrentOptions, defaultOptions };
